% OMNI DIRECTIONAL SCATTER DIAGRAM for BARENTS SEA

global hs_b tp_b hs_max_b tp_max_b n_obs_b num_tp_intervals_b num_hs_intervals_b scatter_b

% creating a scatter_b diagram: rows of hs_b and columns of tp_b
num_tp_intervals_b = ceil(tp_max_b);
hs_interval_size_b = 1;
num_hs_intervals_b = ceil(hs_max_b / hs_interval_size_b);
scatter_b=zeros(num_hs_intervals_b+1, num_tp_intervals_b+4);

for i=1:n_obs_b
    hs_b_interval = ceil(hs_b(i) / hs_interval_size_b);
    % display(sprintf('Putting value %f into interval %d', hs_b(i), hs_b_interval));
    scatter_b(hs_b_interval, ceil(tp_b(i))) = scatter_b(hs_b_interval, ceil(tp_b(i)))+1;
end

% sum of hs_b-rows and tp_b-columns:
scatter_b((ceil(max(hs_b))*2)+1,:)=sum(scatter_b(:,:));
scatter_b(:,ceil(max(tp_b))+1)=sum(scatter_b(:,:)');

% column for cumulative no. of observations
cs = length(scatter_b(1,:))-2; 
scatter_b(1,cs)=scatter_b(1,cs-1); %filling first row
for i=2:1:length(scatter_b(:,1))-2
    scatter_b(i,cs) = scatter_b(i,cs-1) + scatter_b(i-1,cs);
end







    
    
    
    
    
    


