function mean_months = avg_dur_func(years,th)
    nr_of_years = 58;
    % all calms are determnined by function durationz. Next, the average
    % duration of these calms are determined.
    average = zeros(1,12,58); 
    tot_nr_of_calms = 0;
    tot_nr_of_hours = 0;
    hrs_calms_month = 0;
    for i=1:nr_of_years
        for j=1:12
            check = isempty(years(:,j,i));
            if check == 1
            else
                temp_col = (years(:,j,i));
                temp_col(temp_col==0) = [];
                temp_dur = durationz(temp_col,th);
                nr_of_calms = length(temp_dur(:,1));
                tot_nr_of_calms = tot_nr_of_calms + nr_of_calms;

                for k=1:nr_of_calms
                    % storing row in an array
                    temp_row = temp_dur(k,:);
                    % removing zero entries in array
                    temp_row(temp_row==0)=[];
                    % estimating length of this row
                    nr_obs_in_row = length(temp_row);
                    nr_hrs_in_calm = 3*nr_obs_in_row;
                    hrs_calms_month = hrs_calms_month + nr_hrs_in_calm;
                end

                tot_nr_of_hours = tot_nr_of_hours + hrs_calms_month;

                avg_duration = hrs_calms_month / nr_of_calms;
                average(1,j,i) = avg_duration;

                hrs_calms_month = 0;
            end
        end
    end

    average_dur_of_a_calm = tot_nr_of_hours / tot_nr_of_calms;

    % what is the average calm of a month? (considering all months in 
    % hindcast data)
    sum_months = zeros(1,12);
    for g = 1:12
       for h = 1:nr_of_years
           sum_months(g) = sum_months(g) + average(1,g,h);
       end
    end

    % determning worst, average and best months
    % storing all averages for each month in 2D array
    all_average_2D = zeros(nr_of_years,12);
    for a = 1:nr_of_years
        for b = 1:12
            all_average_2D(a,b) = average(1,b,a);
        end
    end

    worst_months = zeros(1,12);
    mean_months = zeros(1,12);
    best_months = zeros(1,12);
    for c = 1:12
        tmp_row = all_average_2D(:,c);
        tmp_row(tmp_row==0)=[];

        worst_months(c) = min(tmp_row);
        mean_months(c) = mean(tmp_row);
        best_months(c) = max(tmp_row);
    end
end