function [op_durations,average_op_time,nr_impossible_months,nr_imp_perc] = mar_op_hindcast_f(years,dur,th,month,nr_breaks,break_time)

nr_years = 58;
op_durations = zeros(nr_years,1);


    for i = 1 : nr_years
        
        total_time = 0;
        time_left = sum(dur) + (nr_breaks*break_time);

        tmp_col = years(:,month,i);
        tmp_col(tmp_col == 0) = []; 

        if isempty(tmp_col) == 1

        else
            for j = 1:length(tmp_col)
                if time_left > 0
                    if tmp_col(j) < th
                        time_left = time_left - 3;
                        total_time = total_time + 3;
                    else
                        total_time = total_time + 3;
                    end
                end
            end
        end
        
        if time_left <= 0 % op is finished
            op_durations(i) = total_time;
        else % op is not finished
            op_durations(i) = 0;
        end
        
    end

nr_impossible_months = length(find(op_durations == 0));
nr_imp_perc = nr_impossible_months/nr_years;

op_durations(op_durations==0) = [];
average_op_time = mean(op_durations);

end